> For the complete documentation index, see [llms.txt](https://docs.licensespring.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.licensespring.com/sdks/android-sdk/license-_-license-data-objects.md).

# License \_ License Data Objects

The `License` file contains all information about the license. `License Data` class contains elements which are returned from LicenseSpring servers; its signature is checked against the public key of LicenseSpring servers.

{% code title="License.java" %}

```java
public class License {
    private final LicenseData data;
    private final LicenseIdentity identity;

    private final InstallationFile installationFile;
    private final Product product;

    private final String hardwareId;
    private ZonedDateTime lastCheck;
    private ZonedDateTime lastUsage;
    private int localConsumptions;

    private transient LicenseRepository repository;
    private transient LicenseService service;

    private Boolean remoteExpired;
    private Boolean active;
    private Boolean enabled;

    public static License createFromCheck(License license, CheckResponse checkResponse);

    public int getMaxActivations();

    public int getMaxConsumptions();

    public int getTotalConsumptions();

    public int getTimesActivated();

    public void increaseConsumption();

    public void increaseConsumption(int increment);

    public void syncConsumptions(Context context);

    public void increaseFeatureConsumption(String feature, Context context);

    public void increaseFeatureConsumption(String feature, int increment, Context context);

    public boolean isExpired();

    public long daysRemaining();

    public long daysPassedSinceLastCheck();

    public void localCheck(Context context);

    public Product getProduct();
}
```

{% endcode %}

The `License` object can be used to check the validity of the license and add consumptions for consumption-type licenses. The License object is stored on disk encrypted.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.licensespring.com/sdks/android-sdk/license-_-license-data-objects.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
